HomeGuidesAPI Reference
API Reference

Edit an existing interface IP on an inline router deployment

Edits an existing static or DHCP IP address on an inline router interface. Supports Static→Static, Static→DHCP, DHCP→Static, and DHCP→DHCP transitions. Use changed to describe what is being changed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON object describing the interface IP edit.

Request body for editing an existing interface IP on an inline router.

string
required

Router ID (e.g. rtr1).

string
required

Interface name (e.g. lan0, wan0).

boolean
required

Whether the current (new) IP mode is DHCP.

boolean
required

Whether the interface is on the WAN side.

string

New IP address (required for static mode).

integer

VLAN tag of the interface entry being edited.

string

New DHCP mode (required when new mode is DHCP).

data
object

IP configuration data for a static interface entry.

changed
object
required

Describes what is changing. oldIp for the previous IP, oldMode for the previous DHCP mode, oldVlan for the previous VLAN value, mode (boolean) if switching between static/DHCP, ip (boolean) if the IP address changed.

string

New secondary DHCP mode for dual-stack.

dualData
object

New secondary DHCP configuration for dual-stack.

autoSummedBandwidth
object

Updated total auto-summed bandwidth (WAN side only).

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json